<?php
/**
 * Archive page template - "2 columns" layout
 *
 * @package Multi
 */

?>
<main class="main">
<?php
$multimagazine_post_args = multimagazine_postlist_meta_flags();
get_template_part( 'archive-heading' );
?>

<div class="postlist postlist-columns columns-2 <?php echo esc_attr( multimagazine_get_post_loading_classes() ); ?>">
	<?php
	if ( have_posts() ) {
		$multimagazine_post_args = multimagazine_postlist_meta_flags();

		while ( have_posts() ) {
			the_post();
			get_template_part( 'post-list-parts/post-column', null, $multimagazine_post_args );
		}
	} else {
		get_template_part( 'template-parts/archive-empty' );
	}
	?>
</div>

<?php get_template_part( 'template-parts/pager' ); ?>
<?php get_template_part( 'archive-description' ); ?>
</main>
